Ubuntu 10.10 i ZTE ZXDSL 852 v2 (neostrada)

Neostrada, DialNet, Net24
Awatar użytkownika
Root Grapefruit
Piegowaty Guziec
Piegowaty Guziec
Posty: 25
Rejestracja: 22 cze 2010, 21:16
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Xfce
Architektura: x86
Kontakt:

Ubuntu 10.10 i ZTE ZXDSL 852 v2 (neostrada)

Post autor: Root Grapefruit » 11 paź 2010, 12:43

Witajcie. Mam opisany w temacie modem (ZTE ZXDSL 852 v2). Używam go do łączenia się z internetem. Po aktualizacji z Ubuntu 10.04 LTS do Ubuntu 10.10 nie chce się skompilować sterownik do niego. Wywala, że brakuje pliku linux/autoconf.h (/usr/src/linux-headers-2.6.35-32*/autoconf.h). Zależy mi na tym, bo chcę na najnowszym Ubuntu przeglądać neta bo to mój jedyny system (nie chcę Windows).

UWAGA: Problem rozwiązany, oto moje rozwiązanie

Kod: Zaznacz cały

sudo su
cd /usr/src/linux-headers-`uname -r`/include/linux
cp ../generated/autoconf.h .
I spokojnie można kompilować nasz ster do modemu.

Temat do zamknięcia.
Proc: AMD Sempron 2800+ 1,6 GHz | Grafa: Radeon HD 3650 | RAM: 1,5 GB | Mobo: ASRock K8NF3-VSTA | HD: 160 GB | OS: Debian GNU/Linux 5.0 "Lenny"
GoldAngelo
Piegowaty Guziec
Piegowaty Guziec
Posty: 1
Rejestracja: 20 lip 2010, 00:36
Płeć: Mężczyzna
Wersja Ubuntu: 9.10
Środowisko graficzne: GNOME
Architektura: x86

Odp: Ubuntu 10.10 i ZTE ZXDSL 852 v2 (neostrada)

Post autor: GoldAngelo » 22 gru 2010, 23:21

Witam! Mam podobny problem, z tym, że nie wiem za co się zabrać. Wcześniej przez jakiś czas korzystałem z 9.10, potem podniosłem wersje do 10.04, w obu przypadkach rozwiązanie z netem znalazłem sam. Teraz ściągnąłem Sobie 64 bitową wersje Ubuntu 10.10 Malinowa Mandarynka, mam też jeszcze 10.04 LTS w razie czego. No ale na razie pytanie odnośnie 10.10 MM. Da się jakoś zorganizować żeby ten niereformowalny i nieustawowy modem z czasów przed pojawieniem się na świecie Neandertalczyka dał radę jakoś w miarę pociągnąć pod linuksem 64 Bit najnowszym? Słyszałem że UbuDSL miał być aktualizowany, ale chwilowo projekt podobno zamilkł... Stąd moje pytanie i prośba o przeprowadzenie mnie krok po kroku po tym procesie.

Nie interesują mnie odpowiedzi typu ,,odwiedź google", zajrzyj do wyszukiwarki czy filmiki typu. Byłem również Tutaj, ale raz że mam neo, a dwa że 10.10 ściągnąłem 64 bitową wersję, a nie jestem pewien czy Tu będzie chodził ten sposób i chwilowo nie mam jak go sprawdzić.
Wcześniej jakoś Sobie poradziłem, teraz już nie daję rady, a mam już dość Windowsa (który bądź co bądź i tak będzie musiał zostać, ponieważ nie tylko ja korzystam z PC)

Z góry dziękuję za wszystkie odpowiedzi prowadzące do rozwiąznia mojego problemu.
proquest
Piegowaty Guziec
Piegowaty Guziec
Posty: 7
Rejestracja: 08 mar 2011, 16:20
Płeć: Mężczyzna
Wersja Ubuntu: 6.06
Środowisko graficzne: GNOME
Architektura: x86

Odp: Ubuntu 10.10 i ZTE ZXDSL 852 v2 (neostrada)

Post autor: proquest » 10 mar 2011, 18:45

Sorry, że odświeżam, ale mam pytanie do Root Grapefruit Bo mam taki sam problem. Gdzie muszą być sterowniki i linnet? Obojętnie w jakim katalogu?
Pozdrawiam
NSLW
Sędziwy Jeż
Sędziwy Jeż
Posty: 35
Rejestracja: 21 cze 2009, 11:04
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: GNOME

Re: Ubuntu 10.10 i ZTE ZXDSL 852 v2 (neostrada)

Post autor: NSLW » 22 maja 2011, 10:57

Sterowniki się nie kompilują na Ubuntu 10.10, bo położenie pliku autoconf.h się zmieniło. Taki sam problem jest w Ubuntu 10.04 gdy się wybierze kernel 2.6.35 (z 2.6.32 nie ma problemu).

Stworzyłem paczkę Ubudsl 32 bitową dla Ubuntu 10.04 z łatką dla ZXDSL852v2 przygotowaną przez Mariusz Smykuła i z poprawionym położeniem autoconf.h. Paczka powstała na podstawie ubudsl_1.0.0.301-1karmic_i386.deb ze źródła https://launchpad.net/~logari81/+archive/ppa/+packages.

Dla zainteresowanych paczkę umieściłem na speedyshare http://www.speedyshare.com/files/285796 ... d_i386.deb. Przydatne tylko dla tych co używają kernel 2.6.35 i ZXDSL 852 v2.
ODPOWIEDZ

Wróć do „ADSL”